#pragma once

#include "CoreMinimal.h"
#include "GenericPopupViewData.h"
#include "UObject/SoftObjectPtr.h"
#include "PriceTagViewData.h"
#include "RewardWrapperViewData.h"
#include "RiftPassPurchasePopupViewData.generated.h"

class UMaterialInterface;

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API URiftPassPurchasePopupViewData : public UGenericPopupViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText AvailabilityDates;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Quantity;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UMaterialInterface> BackgroundKeyArtMaterial;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FPriceTagViewData PriceTagViewData;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool ContainsRiftPack;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FText RiftPackTitle;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FText RiftPackDescription;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FPriceTagViewData RiftPackPriceTagViewData;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FName RiftPackId;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FRewardWrapperViewData> RewardsViewData;

public:
	URiftPassPurchasePopupViewData();
};

FORCEINLINE uint32 GetTypeHash(const URiftPassPurchasePopupViewData) { return 0; }
